
#ifndef __ARBOMB_LIMITS__
#define __ARBOMB_LIMITS__

#define AB_ERR_RATIO		100
#define AB_ERR_FCOUNT	101
#define AB_ERR_UCSIZE	102
#define AB_ERR_INTERNAL	-1


struct arbomb_limits {
	char filename[1024];
	int single_ucsize;
	int single_csize;
	double single_ratio;

	int archive_ucsize;
	int archive_csize;
	double archive_ratio;

	int archive_filecount;
};



unsigned int AB_u32int( unsigned char *u32 );
unsigned int AB_u16int( unsigned char *u16 );

int AB_limits_test( struct arbomb_limits *abl, struct arbomb_limits *lcs );

extern int _AB_test_ucsize;
extern int _AB_test_ratio;
extern int _AB_test_fcount;

#endif

