
#define _ZS_LOCALFILE_SIG 0x04034b50
#define _ZS_CENTRAL_SIG 0x02014b50

struct zipheader {
	unsigned char sig[4];
	unsigned char versionreq[2];
	unsigned char gpbitflag[2];
	unsigned char compmethod[2];
	unsigned char lastmodtime[2];
	unsigned char lastmoddate[2];
	unsigned char crc32[4];
	unsigned char sizecomp[4];
	unsigned char sizeuncomp[4];
	unsigned char filenamelen[2];
	unsigned char extrafieldlen[2];
	char *filename;
	char *extrafield;
};

// This struct is only used if bit-3 of the GPbitflag is set.
struct datadescriptor {
	unsigned char crc32[4];
	unsigned char sizecomp[4];
	unsigned char sizeuncomp[4];
};

struct datadescriptor64 {
        unsigned char crc32[4];
        unsigned char sizecomp[8];
        unsigned char sizeuncomp[8];
};

	// Function prototypes.
int ZT_set_debug( int level );
int ZT_iszip( char *fname );
int ZT_header_read( FILE *f, struct zipheader *zh );
int ZT_test( char *fname, struct arbomb_limits *abl, struct arbomb_limits *lcs );


